From: "Andrew Savchenko" <bircoph@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/stardict/
Date: Sat, 25 Aug 2018 14:45:28 +0000 (UTC) [thread overview]
Message-ID: <1535206290.8d0fcece2dd2cc2f6998e6bc9ac81175779c5af9.bircoph@gentoo> (raw)
commit: 8d0fcece2dd2cc2f6998e6bc9ac81175779c5af9
Author: Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 25 14:11:30 2018 +0000
Commit: Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
CommitDate: Sat Aug 25 14:11:30 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8d0fcece
app-text/stardict: version bump
- Update to the latest git snapshot.
- Migrate to dev-db/mysql-connector-c (bug 631230).
- Remove deprecated gnome2 support (bug 644346).
- Update gucharmap slot dependency (bug 664374).
Closes: https://bugs.gentoo.org/664374
Closes: https://bugs.gentoo.org/644346
Closes: https://bugs.gentoo.org/631230
Signed-off-by: Andrew Savchenko <bircoph <AT> gentoo.org>
Package-Manager: Portage-2.3.48, Repoman-2.3.10
app-text/stardict/Manifest | 1 +
.../stardict/stardict-4.0.0_pre20170304.ebuild | 221 +++++++++++++++++++++
2 files changed, 222 insertions(+)
diff --git a/app-text/stardict/Manifest b/app-text/stardict/Manifest
index 5eada587fbf..f88a0975552 100644
--- a/app-text/stardict/Manifest
+++ b/app-text/stardict/Manifest
@@ -2,3 +2,4 @@ DIST QQWry.Dat.bz2 4114875 BLAKE2B 3fb1a3b223b799645fcc7adc3d8158c80551bd1d35689
DIST WyabdcRealPeopleTTS.tar.bz2 84329208 BLAKE2B 1dd9c00e4e914b0d747876aa566db59a4b973b3ec61fa1ed7a55f885d7f415f573f2f8783eca46c565bc52df4ba3576b3a0f4e863b4f7ba688007f6d6b375209 SHA512 1553e62c139ecb005bb04163147d94aa58e4ba7f9ee3172b760c6e4776587c12bf816c42e0131c82195b7c738ec9ee5082f39b974790f5cacd522367919beaa0
DIST stardict-3.0.6.tar.bz2 9341740 BLAKE2B df0ccfbd485dfb514bdcf4edaf92b2faf3c11016b025ca09596adcc12738027395a049d9d27420427acdf5c46923cb43ba521d334f875070f5451b7ff147e36f SHA512 81d93324b6e8954af7c20ea6d2a3054bb564d786a21b1cb541c728da7a18a6e7ddb23e595055ccc77e6866bbb8c89fb4f17023e33664761dbe1ee8cd55768658
DIST stardict-4.0.0_pre20160518.tar.xz 3605324 BLAKE2B bd160edddef547c72f3002e8a6c290a1538ea25335c8eb66b77d0bc261fe7666019b6e746b1a7d47d3098d5b35fdd091f47132a511cfa118dc3c44dea8361dbe SHA512 5fb04d7870019f17038e0750a2250a0dca44c427f427cd987542eea2bdfab91223e2c01bae844c43f7d8991d51c0420bd4d77ad6d3f7d86cf6f9c50dae7ca50e
+DIST stardict-4.0.0_pre20170304.tar.xz 3603012 BLAKE2B c9ac41f1e27c013e9c20e5b5477889cb4933ebaf35629311362ec48e820b10a7492d464ac7eddded697ca49f56f65032a1af36088e8e731643e83532e0586e48 SHA512 ec27bb95069d727fd96cb30f2d7ad94992cc53e55903b373612e29265263ea5da2c8a25f6c9618db50dc38c33efebe13324c2b8eb09b198559a1ee70029f0b6a
diff --git a/app-text/stardict/stardict-4.0.0_pre20170304.ebuild b/app-text/stardict/stardict-4.0.0_pre20170304.ebuild
new file mode 100644
index 00000000000..7ef439a91b4
--- /dev/null
+++ b/app-text/stardict/stardict-4.0.0_pre20170304.ebuild
@@ -0,0 +1,221 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+# NOTE: Even though the *.dict.dz are the same as dictd/freedict's files,
+# their indexes seem to be in a different format. So we'll keep them
+# seperate for now.
+
+GNOME2_LA_PUNT=yes
+PYTHON_COMPAT=( python2_7 )
+
+inherit autotools flag-o-matic gnome2 python-single-r1
+
+DESCRIPTION="A international dictionary supporting fuzzy and glob style matching"
+HOMEPAGE="http://stardict-4.sourceforge.net/
+ https://github.com/huzheng001/stardict-3"
+SRC_URI="https://dev.gentoo.org/~bircoph/distfiles/${P}.tar.xz
+ pronounce? ( https://${PN}-3.googlecode.com/files/WyabdcRealPeopleTTS.tar.bz2 )
+ qqwry? ( mirror://gentoo/QQWry.Dat.bz2 )"
+
+LICENSE="CPL-1.0 GPL-3 LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="advertisement cal debug dictdotcn espeak examples flite
+fortune gucharmap +htmlparse info man perl +powerwordparse
+pronounce python qqwry spell tools updateinfo +wikiparse +wordnet
++xdxfparse youdaodict"
+
+RESTRICT="test"
+
+COMMON_DEPEND="
+ >=dev-libs/glib-2.32:2
+ dev-libs/libsigc++:2=
+ media-libs/libcanberra[gtk3]
+ sys-libs/zlib:=
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:3
+ x11-libs/libX11
+ x11-libs/pango
+ espeak? ( >=app-accessibility/espeak-1.29 )
+ flite? ( app-accessibility/flite )
+ gucharmap? ( gnome-extra/gucharmap:2.90= )
+ spell? ( >=app-text/enchant-1.2 )
+ tools? (
+ dev-db/mysql-connector-c
+ dev-libs/expat
+ dev-libs/libpcre:=
+ dev-libs/libxml2:=
+ python? ( ${PYTHON_DEPS} )
+ )
+"
+RDEPEND="${COMMON_DEPEND}
+ info? ( sys-apps/texinfo )
+ fortune? ( games-misc/fortune-mod )
+ perl? ( dev-lang/perl )
+"
+DEPEND="${COMMON_DEPEND}
+ app-text/docbook-xml-dtd:4.3
+ app-text/gnome-doc-utils
+ dev-libs/libxslt
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+REQUIRED_USE="tools? ( python? ( ${PYTHON_REQUIRED_USE} ) )"
+
+# docs are messy, installed manually below
+DOCS=""
+
+PATCHES=( "${FILESDIR}/${PN}-4.0.0_pre20160518-tabfile.patch" )
+
+src_prepare() {
+ # From Fedora
+ # Remove unneeded sigc++ header files to make it sure
+ # that we are using system-wide libsigc++
+ # (and these does not work on gcc43)
+ find dict/src/sigc++* -name \*.h -or -name \*.cc | xargs rm -f || die
+
+ # libsigc++ started to require c++11 support
+ append-cxxflags "-std=c++11"
+
+ if use python; then
+ local f
+ # force python shebangs handlable by python_doscript
+ for f in tools/src/*.py; do
+ [[ $(head -n1 "${f}") =~ ^#! ]] || continue
+ sed -i '1 s|.*|#!/usr/bin/python|' tools/src/*.py || die
+ done
+ # script contains UTF-8 symbols, but has no ecoding set
+ sed -i '1 a # -*- coding: utf-8 -*-' tools/src/uyghur2dict.py || die
+ fi
+
+ # bug 604318
+ sed -i '/AM_GCONF_SOURCE_2/d' dict/configure.ac || die
+
+ eapply_user
+ eautoreconf
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # Festival plugin crashes, bug 188684. Disable for now.
+ # Gnome2 support is disabled due to deprecation request, bug 644346
+ gnome2_src_configure \
+ --disable-darwin-support \
+ --disable-festival \
+ --disable-gnome-support \
+ --disable-gpe-support \
+ --disable-maemo-support \
+ --disable-schemas-install \
+ --disable-scrollkeeper \
+ $(use_enable advertisement) \
+ $(use_enable cal) \
+ $(use_enable debug) \
+ $(use_enable dictdotcn) \
+ $(use_enable espeak) \
+ $(use_enable flite) \
+ $(use_enable fortune) \
+ $(use_enable gucharmap) \
+ $(use_enable htmlparse) \
+ $(use_enable info) \
+ $(use_enable man) \
+ $(use_enable powerwordparse) \
+ $(use_enable qqwry) \
+ $(use_enable spell) \
+ $(use_enable tools) \
+ $(use_enable updateinfo) \
+ $(use_enable wikiparse) \
+ $(use_enable wordnet) \
+ $(use_enable xdxfparse) \
+ $(use_enable youdaodict)
+}
+
+src_install() {
+ gnome2_src_install
+
+ dodoc AUTHORS ChangeLog README
+
+ docinto dict
+ dodoc dict/{AUTHORS,ChangeLog,README,TODO}
+ dodoc dict/doc/{Documentation,FAQ,HowToCreateDictionary,Skins,StarDictFileFormat,TextualDictionaryFileFormat,Translation}
+ dodoc -r dict/doc/wiki
+
+ docinto lib
+ dodoc lib/{AUTHORS,ChangeLog,README}
+
+ if use examples; then
+ insinto /usr/share/doc/${PF}/dict
+ doins dict/doc/stardict-textual-dict*
+ fi
+
+ if use qqwry; then
+ insinto /usr/share/${PN}/data
+ doins ../QQWry.Dat
+ fi
+
+ if use pronounce; then
+ docinto WyabdcRealPeopleTTS
+ dodoc ../WyabdcRealPeopleTTS/{README,readme.txt}
+ rm -f ../WyabdcRealPeopleTTS/{README,readme.txt}
+ insinto /usr/share
+ doins -r ../WyabdcRealPeopleTTS
+ fi
+
+ # noinst_PROGRAMS with ${PN}_ prefix from tools/src/Makefile.am wrt #292773
+ # and additional scripts from tools dir
+ if use tools; then
+ local app
+ local apps="${PN}-editor pydict2dic olddic2newdic oxford2dic directory2dic dictd2dic
+ wquick2dic ec50 directory2treedic treedict2dir jdictionary mova xmlinout
+ soothill kanjidic2 powerword kdic 21tech 21shiji buddhist tabfile
+ cedict edict duden ${PN}-dict-update degb2utf frgb2utf jpgb2utf gmx2utf
+ rucn kingsoft kingsoft2 wikipedia wikipediaImage babylon ${PN}2txt ${PN}-verify
+ fest2dict i2e2dict downloadwiki ooo2dict myspell2dic exc2i2e
+ dictbuilder tabfile2sql KangXi Unihan xiaoxuetang-ja wubi ydp2dict
+ wordnet lingvosound2resdb resdatabase2dir dir2resdatabase ${PN}-index
+ sd2foldoc
+ ${PN}-text2bin ${PN}-bin2text ${PN}-repair"
+
+ use perl && apps+=" dicts-dump.pl ncce2stardict.pl parse-oxford.perl"
+ use python && apps+=" hanzim2dict.py jm2stardict.py lingea-trd-decoder.py
+ makevietdict.py uyghur2dict.py"
+
+ for app in ${apps}; do
+ if [[ "${app}" =~ ^${PN} ]]; then
+ dobin "tools/src/${app}"
+ else
+ newbin "tools/src/${app}" "${PN}_${app}"
+ fi
+ done
+ use python && python_doscript "${ED}"usr/bin/*.py
+
+ docinto tools
+ dodoc tools/{AUTHORS,ChangeLog,README}
+
+ if use examples; then
+ insinto /usr/share/doc/${PF}/tools
+ doins tools/src/{dictbuilder.{example,readme},example.ifo,example_treedict.tar.bz2}
+ fi
+ fi
+}
+
+pkg_postinst() {
+ elog
+ elog "Note: festival text to speech (TTS) plugin is not built. To use festival"
+ elog 'TTS plugin, please, emerge festival and enable "Use TTS program." at:'
+ elog '"Preferences -> Dictionary -> Sound" and fill in "Commandline" with:'
+ elog '"echo %s | festival --tts"'
+ elog
+ elog "You will now need to install ${PN} dictionary files. If"
+ elog "you have not, execute the below to get a list of dictionaries:"
+ elog " emerge -s ${PN}-"
+ elog
+ elog "Additionally you may install any stardict dictionary from the net"
+ elog "by unpacking it to:"
+ elog " /usr/share/stardict/dic"
+ elog
+
+ gnome2_pkg_postinst
+}
next reply other threads:[~2018-08-25 14:45 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-08-25 14:45 Andrew Savchenko [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-05-06 14:18 [gentoo-commits] repo/gentoo:master commit in: app-text/stardict/ Sam James
2023-04-03 5:54 Sam James
2020-09-19 8:04 Michał Górny
2020-02-02 19:35 Mart Raudsepp
2018-08-25 14:45 Andrew Savchenko
2018-08-25 14:45 Andrew Savchenko
2017-11-25 19:55 David Seifert
2017-01-03 21:22 Andrew Savchenko
2017-01-02 11:09 Andrew Savchenko
2017-01-02 11:09 Andrew Savchenko
2016-12-30 9:39 Agostino Sarubbo
2016-12-26 12:30 Aaron Bauman
2016-12-05 12:06 Andrew Savchenko
2016-12-05 12:06 Andrew Savchenko
2016-12-05 12:06 Andrew Savchenko
2016-12-05 12:06 Andrew Savchenko
2016-12-05 12:06 Andrew Savchenko
2016-12-05 12:06 Andrew Savchenko
2016-12-03 17:11 Andrew Savchenko
2016-12-03 16:47 Andrew Savchenko
2016-12-03 16:47 Andrew Savchenko
2016-12-03 16:47 Andrew Savchenko
2016-12-03 16:47 Andrew Savchenko
2016-12-03 16:47 Andrew Savchenko
2016-12-02 7:14 Andrew Savchenko
2016-03-17 10:59 Michael Palimaka
2016-03-17 10:50 Agostino Sarubbo
2015-12-26 10:36 Agostino Sarubbo
2015-12-25 15:13 Agostino Sarubbo
2015-11-21 12:58 Pacho Ramos
2015-11-21 12:58 Pacho Ramos
2015-11-09 21:51 Pacho Ramos
2015-09-23 12:52 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1535206290.8d0fcece2dd2cc2f6998e6bc9ac81175779c5af9.bircoph@gentoo \
--to=bircoph@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox